function [Y] = inaccurate(X, p)
%% Y
%% X is the input matrix, an -1 element means the missing element

    [n m]=size(X); % V contains your data in its column vectors
    Y=X;
    
    for i = 1:n
        for j = 1:m
                a=rand;
                if (a<p)
                    if (X(i, j) > 0 & i ~= j)
                        Y(i,j)=X(i,j)*3;
                    end
                end            
        end
    end